Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511379 - [RFE] Improve error messages for importing VMs from storage domains.
Summary: [RFE] Improve error messages for importing VMs from storage domains.
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-web-ui
Version: 4.1.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.3.1
: 4.3.0
Assignee: Eyal Shenitzky
QA Contact: Evelina Shames
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 09:29 UTC by Roman Hodain
Modified: 2019-03-21 09:35 UTC (History)
5 users (show)

Fixed In Version: ovirt-engine-4.3.0_rc
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Storage
ebenahar: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 95603 master MERGED engine: improve memory snapshot registration error msg 2018-11-22 08:33:04 UTC

Description Roman Hodain 2017-11-09 09:29:35 UTC
Description of problem:
    When inporting a Vm fro a SD and one of the disks of the VM is on different storage domains the UI only reports 

        Cannot import VM. Storage Domains doesn't exist.



Version-Release number of selected component (if applicable):
4.1.6

How reproducible:
100%

Steps to Reproduce:
1. They to import Vm with one disk on different SD and that SD is not already imported.

Actual results:
    Cannot import VM. Storage Domains doesn't exist.


Expected results:
    Information what SD is missing would be useful. Also the disk name should be displayed. The same applies for memory image of a snapshot.

Additional info:

The information is available so it only needs to be displayed:

2017-11-04 11:56:24,319-04 ERROR [org.ovirt.engine.core.bll.validator.ImportValidator] (default task-42) [c3c70894-724e-4f48-867f-611fbf10bde2] Storage Domain '675d40e7-c3e4-4bad-b348-3847fe911036', could not be found for memory disks: '97e4dc2f-a507-4f7b-a89a-bc425aeec27b','51085560-4514-4622-b6e2-e7fd6581dce2' in snapshot '.....' (id: '41afb523-c7f2-4e33-bb51-37b641935a15')
2017-11-04 11:56:24,319-04 WARN  [org.ovirt.engine.core.bll.exportimport.ImportVmFromConfigurationCommand] (default task-42) [c3c70894-724e-4f48-867f-611fbf10bde2] Validation of action 'ImportVmFromConfiguration' failed for user admin@internal-authz. Reasons: 
VAR__ACTION__IMPORT,VAR__TYPE__VM,ACTION_TYPE_FAILED_STORAGE_DOMAIN_NOT_EXIST

Comment 1 Csiga 2017-11-15 14:22:36 UTC
I also have this problem : 

2017-11-15 15:19:19,769+01 INFO  [org.ovirt.engine.core.bll.exportimport.ImportVmFromConfigurationCommand] (default task-41) [4b69ddfa-7182-4a75-a2f0-2a84b61925ee] Lock Acquired to object 'EngineLock:{exclusiveLocks='[6dbc7ac4-9def-4260-b57a-09457234de9c=VM, auth.ovirt.virt24h.net=VM_NAME]', sharedLocks='[6dbc7ac4-9def-4260-b57a-09457234de9c=REMOTE_VM]'}'
2017-11-15 15:19:19,804+01 ERROR [org.ovirt.engine.core.bll.validator.ImportValidator] (default task-41) [4b69ddfa-7182-4a75-a2f0-2a84b61925ee] Storage Domain '2cff6da6-c27e-433b-8e4e-d893223eaeec', could not be found for memory disks: '38f6ab90-38c5-4d6c-968b-0647ec78a839','04160e8b-455f-4cab-97ab-0ef6346bd6e5' in snapshot '2017.08.24-00' (id: 'e54007fe-7ff9-4db6-a055-72bc9f089297')
2017-11-15 15:19:19,804+01 WARN  [org.ovirt.engine.core.bll.exportimport.ImportVmFromConfigurationCommand] (default task-41) [4b69ddfa-7182-4a75-a2f0-2a84b61925ee] Validation of action 'ImportVmFromConfiguration' failed for user admin@internal-authz. Reasons: VAR__ACTION__IMPORT,VAR__TYPE__VM,ACTION_TYPE_FAILED_STORAGE_DOMAIN_NOT_EXIST
2017-11-15 15:19:19,805+01 INFO  [org.ovirt.engine.core.bll.exportimport.ImportVmFromConfigurationCommand] (default task-41) [4b69ddfa-7182-4a75-a2f0-2a84b61925ee] Lock freed to object 'EngineLock:{exclusiveLocks='[6dbc7ac4-9def-4260-b57a-09457234de9c=VM, auth.ovirt.virt24h.net=VM_NAME]', sharedLocks='[6dbc7ac4-9def-4260-b57a-09457234de9c=REMOTE_VM]'}'

What can I do?

Thank you

Comment 2 Csiga 2017-11-15 14:46:44 UTC
Hi,

I have a alternative solution.

I have a NFS datastore. Here was the vm what I wanted to migrate.

This is my steps:

I created a Vm in the new datacenter
I created a new disk to the NFS share.
I changed files in between the two directories.
I changed the names of the images to the correct names.
I started my vm, and is was right.

And the last step:
I moved the disk from nfs to my fiber with datastore migration when my vm was running.


Best 
Cs

Comment 3 Eyal Shenitzky 2018-11-21 13:01:57 UTC
Steps to reproduce: 

1) Create VM with a disk on storage domain [A]
2) Run the VM 
3) Create a snapshot with memory
4) Migrate the VM disk do storage domain [B]
5) Deactivate and detach storage domain [B]
6) Deactivate storage domain [A]
7) Attach and activate storage domain [B]
8) Import the VM

Message before the fix:
Storage Domain '111', could not be found for memory disk: '222'
in snapshot 's1' (id: '333')

Message after the fix:
Storage Domain sd1 (id: '111'), could not
be found for memory disk: 'snapshot_memory' (id:
'222') in snapshot 's1' (id: '333')

Comment 4 Sandro Bonazzola 2019-02-01 14:51:29 UTC
Not blocking ovirt-4.3.0 on this. Moving to 4.3.1.

Comment 6 Sandro Bonazzola 2019-03-12 12:54:58 UTC
4.3.1 has been released, please re-target this bug as soon as possible.

Comment 7 Evelina Shames 2019-03-21 09:35:46 UTC
Verified on engine 4.3.2.1


Note You need to log in before you can comment on or make changes to this bug.